## ThunarPathEntry ThunarPathEntry |

## Functions

GtkWidget * | thunar_path_entry_new ()
ThunarFile * | thunar_path_entry_get_current_file ()
void | thunar_path_entry_set_current_file ()
void | thunar_path_entry_set_working_directory ()
gchar * | thunar_path_entry_get_search_query ()
void | thunar_path_entry_cancel_search ()

## Properties

ThunarFile * | current-file | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkEntry
                    ╰── ThunarPathEntry

## Description

## Functions

### thunar_path_entry_new ()

    GtkWidget *
    thunar_path_entry_new (void);

Allocates a new ThunarPathEntry instance.

#### Returns

the newly allocated ThunarPathEntry.

### thunar_path_entry_get_current_file ()

    ThunarFile *
    thunar_path_entry_get_current_file (ThunarPathEntry *path_entry);

Returns the ThunarFile currently being displayed by `path_entry` or `NULL` if `path_entry` doesn't contain a valid ThunarFile.

#### Parameters

path_entry | a ThunarPathEntry. |

#### Returns

the ThunarFile for `path_entry` or `NULL`.

### thunar_path_entry_set_current_file ()

    void
    thunar_path_entry_set_current_file (ThunarPathEntry *path_entry,
                                        ThunarFile *current_file);

Sets the ThunarFile that should be displayed by `path_entry` to `current_file` .

#### Parameters

path_entry | a ThunarPathEntry. |
current_file | a ThunarFile or `NULL`. |

### thunar_path_entry_set_working_directory ()

    void
    thunar_path_entry_set_working_directory
                                   (ThunarPathEntry *path_entry,
                                    ThunarFile *directory);

Sets the ThunarFile that should be used as the working directory for `path_entry` .

#### Parameters

path_entry | a ThunarPathEntry. |
working_directory | a ThunarFile or `NULL`. |

### thunar_path_entry_get_search_query ()

    gchar *
    thunar_path_entry_get_search_query (ThunarPathEntry *path_entry);

Returns a copy of the search query in the text field of the `path_entry` or "" if the path_entry doesn't contain a search query.

It's the responsibility of the caller to free the returned string using `g_free`.

#### Parameters

path_entry | a ThunarPathEntry. |

### thunar_path_entry_cancel_search ()

    void
    thunar_path_entry_cancel_search (ThunarPathEntry *path_entry);

## Property Details

### The `“current-file”` property

      “current-file”             ThunarFile *

The ThunarFile currently displayed by the path entry or `NULL`.

Owner: ThunarPathEntry

Flags: Read / Write